Groovy 1.7.0

## groovy.mock.interceptor
Class Demand

    java.lang.Object
      groovy.mock.interceptor.Demand

    class Demand
    extends Object

The object that registers method calls on it for the use with Mocks and Stubs. For each call a CallSpec object is added to the recorded list.

author:
  Dierk Koenig

Property Summary
`List` | `recorded`

Constructor Summary
`Demand()`

Method Summary
`Object` | `invokeMethod(String methodName, Object args)`
`def` | `verify(List calls)`

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Property Detail

### recorded

    List recorded

Constructor Detail

### Demand

    Demand()

Method Detail

### invokeMethod

    Object invokeMethod(String methodName, Object args)

### verify

    public def verify(List calls)

Copyright © 2003-2009 The Codehaus. All rights reserved.